conduit-1.0.13: Streaming data processing library.

Safe Haskell | None

Data.Conduit.Lazy

Description

Use lazy I/O for consuming the contents of a source. Warning: All normal warnings of lazy I/O apply. In particular, if you are using this with a `ResourceT` transformer, you must force the list to be evaluated before exiting the `ResourceT`.

Synopsis

- lazyConsume :: (MonadBaseControl IO m, MonadActive m) => Source m a -> m [a]

# Documentation

lazyConsume :: (MonadBaseControl IO m, MonadActive m) => Source m a -> m [a]Source

Use lazy I/O to consume all elements from a `Source`.

This function relies on `monadActive` to determine if the underlying monadic state has been closed.

Since 0.3.0